%global drupalver 6
%global drupal drupal%{drupalver}
# e.g. "/usr/share/drupal6"
%global drupaldir %{_datadir}/%{drupal}
# Use upstream name as expressed in URL and tarball
%global modname ahah_helper

Name:    drupal6-%{modname}
Version: 6.x.2.2
Release: 1.vvm%{?dist}
Summary: AHAH support for Drupal 6's Forms API
Group:   Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/%{modname}
Source0: http://ftp.drupal.org/files/projects/ahah_helper-6.x-2.2.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  %{drupal} >= 6.0

%description
Provide AHAH support for Drupal 6's Forms API

%prep
%setup -qn %{modname}

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/%{modname}
cp -pr * %{buildroot}%{drupaldir}/modules/%{modname}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt TODO.txt
%exclude %{drupaldir}/modules/%{modname}/LICENSE.txt
%exclude %{drupaldir}/modules/%{modname}/README.txt
%exclude %{drupaldir}/modules/%{modname}/TODO.txt
%{drupaldir}/modules/%{modname}

%changelog
* Thu Apr 26 2012 vvm@mammoth.jinr.ru
- initial build
